Loading...
Searching...
No Matches
STMConfig Class Reference
OpenCSD Library : Trace Source Protocol Configuration.

STM hardware configuration data. More...

`#include <trc_cmp_cfg_stm.h>`

Inheritance diagram for STMConfig:
[legend]
Collaboration diagram for STMConfig:
[legend]

## Public Member Functions

| ~STMConfig ()
| operator const ocsd_stm_cfg & () const
| cast operator returning struct const reference
| operator const ocsd_stm_cfg * () const
| cast operator returning struct const pointer
STM configuration
| STMConfig ()
| Constructor - creates a default configuration.
| STMConfig (const ocsd_stm_cfg *cfg_regs)
STMConfig & | operator= (const ocsd_stm_cfg *p_cfg)
void | setTraceID (const uint8_t traceID)
| Set the CoreSight trace ID.
void | setHWTraceFeat (const hw_event_feat_t hw_feat)
| set usage of STM HW event trace.
virtual const uint8_t | getTraceID () const
| Get the CoreSight trace ID.
const uint8_t | getMaxMasterIdx () const
| Get the maximum master index.
const uint16_t | getMaxChannelIdx () const
| Get the maximum channel index.
const uint16_t | getHWTraceMasterIdx () const
| Get the master used for HW event trace.
bool | getHWTraceEn () const
| return true if HW trace is present and enabled.
Public Member Functions inherited from CSConfig
| CSConfig ()
virtual | ~CSConfig ()

## Detailed Description

STM hardware configuration data.

Represents the programmed and hardware configured state of an STM device. Creates default values for most RO register values to effect a default STM with values of 256 masters, 65536 channels, HW event trace not present / disabled.

If this default is sufficient a single call to setTraceID() will be all that is required to decode the STM protocol.

Can also be initialised with a fully populated ocsd_stm_cfg structure.

Definition at line 60 of file trc_cmp_cfg_stm.h.

## Constructor & Destructor Documentation

## ~STMConfig()

STMConfig::~STMConfig | ( |  | ) |

inline

Definition at line 65 of file trc_cmp_cfg_stm.h.

## Member Function Documentation

## operator const ocsd_stm_cfg &()

STMConfig::operator const ocsd_stm_cfg & | ( |  | ) | const

inline

cast operator returning struct const reference

Definition at line 71 of file trc_cmp_cfg_stm.h.

## operator const ocsd_stm_cfg *()

STMConfig::operator const ocsd_stm_cfg * | ( |  | ) | const

inline

cast operator returning struct const pointer

Definition at line 73 of file trc_cmp_cfg_stm.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/stm/trc_cmp_cfg_stm.h